Foreman - Bug #21023

Increase TimeoutStartSec for httpd.service
09/19/2017 05:01 PM - Chris Roberts

Status: Closed
Priority: High
Assignee: Chris Roberts
Category: Performance

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1441212 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/591,
https://github.com/theforeman/puppet-for
eman/pull/603,
https://github.com/theforeman/puppet-for
eman/pull/606

Description
Cloned from BZ:

Description of problem:
httpd config has:

PassengerStartTimeout 600
allowing Passenger to be kicking off for that long time. However, httpd service uses systemd default timeout 90s (I think it's 90).

So there can be cases (and already is one case) when Passenger started within its timeout limit but after systemd timeout, causing
systemd killed the still-starting httpd service.

Please increase httpd.service startup timeout to something more reasonable (not sure if 600s isnt too much, if it won't rather mask
potential deadlocks during startup - leaving the decision of particular value to devels).

Version-Release number of selected component (if applicable):
Sat6.2.”

How reproducible:
100%

Steps to Reproduce:
1. Install Sat6.
2. grep TimeoutStartSec /etc/systemd/system/httpd.service.d/*

Actual results:
no such timeout

Expected results:
Timeout is present with some reasonable value.

Additional info:

Associated revisions

Revision 951f30ce - 10/26/2017 09:47 PM - Chris Roberts
Fixes #21023 - Update start-timeout to 90

History

#1 - 09/19/2017 05:02 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/591 added

#2 - 10/19/2017 02:44 PM - Eric Helms
- Bugzilla link set to 1441212

#3 - 10/24/2017 08:04 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/603 added

#4 - 10/26/2017 10:02 PM - Chris Roberts
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman:puppet-foreman|951f30ce63a2c7396¢c74a22f0d3f30d3008ac530.

#5 - 11/22/2017 06:55 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/606 added
